#### Description:

This function restores a snapshot of the graphics functions stored previously by calling astGrfPush. The restored graphics functions become the current graphics functions used by the Plot.

The astGrfPush and astGrfPop functions are intended for situations where it is necessary to make temporary changes to the graphics functions used by the Plot. The current functions should first be saved by calling astGrfPush. New functions should then be registered using astGrfSet. The required graphics should then be produced. Finally, astGrfPop should be called to restore the original graphics functions.

#### Synopsis

void astGrfPop( AstPlot ∗this )

#### Parameters:

##### this

Pointer to the Plot.

#### Notes:

- This function returns without action if there are no snapshots to restore. No error is reported in this case.

Copyright (C) 2021 East Asian Observatory